<template>
  <section>
    <form @submit.prevent="signin()" v-if="!logged">
      <label for="email">Email :</label>
      <input type="email" name="email" id="email" v-model="email">

      <label for="password">Password :</label>
      <input type="password" name="password" id="password" v-model="password">

      <button>Login</button>
      <p v-if="message">{{message}}</p>
    </form>
    <button v-if="logged" @click="logout()">Logout</button>
  </section>
</template>

<script>
import { Auth } from "../services/auth";

export default {
  data() {
    return {
      email: "",
      password: "",
      logged: false,
      message: ""
    };
  },
  mounted() {
      if(localStorage.getItem('token')) {
          this.logged = true;
      }
  },
  methods: {
    signin() {
      const auth = new Auth();
      auth
        .login(this.email, this.password)
        .then(() => (this.logged = true))
        .catch(() => (this.message = "Credentials errors"));
    },
    logout() {
        localStorage.removeItem('token');
        this.logged = false;
    }
  }
};
</script>

<style>
</style>
